MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025242Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-09-16 13:522014-11-11 12:59
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025242: Wrong result of cut operation.
DescriptionWrong result of cut operation.
The cut operation performed with solids provides incorrect result.

Steps To Reproduce# Use the following DRAW commands to reproduce the problem:

box a 0 0 0 10 10 10
box b 20 0 0 10 10 10

bfuse r0 a b
bcut r1 r0 a
nbshapes r1

#------------------
# The result (nbshapes r1)
Number of shapes in r1
 VERTEX : 16
 EDGE : 24
 WIRE : 12
 FACE : 12
 SHELL : 2
 SOLID : 2
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 69

# but it should be:
Number of shapes in r1
 VERTEX : 8
 EDGE : 12
 WIRE : 6
 FACE : 6
 SHELL : 1
 SOLID : 1
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 35


TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25242
Attached Files

- Relationships

-  Notes
(0031750)
git (administrator)
2014-09-16 14:02

Branch CR25242 has been created by pkv.

SHA-1: 53c888d1744885c8845e8b190728aac17d85bd6a


No new revisions were added by this update.
(0031754)
git (administrator)
2014-09-16 14:23

Branch CR25242 has been updated by pkv.

SHA-1: dd4e9cc0b9b7b191a9bb49b14bcdb9c780c32eb2


Detailed log of new commits:

Author: pkv
Date: Tue Sep 16 14:22:55 2014 +0400

    v1.0
    
    I. New features:
    no new features
    
    II. Changes:
    II.1. class BOPDS_Iterator
    method:
    void BOPDS_Iterator::Intersect()
    The ttreatment of solid/* interferences has been added.
    II.2 class BOPAlgo_PaveFiller
    protected methods:
    void BOPAlgo_PaveFiller::PerformVZ()
    void BOPAlgo_PaveFiller::PerformEZ()
    void BOPAlgo_PaveFiller::PerformFZ()
    void BOPAlgo_PaveFiller::PerformZZ()
    has been added.
    The methods are to Compute
    Vertex/Solid
    Edge/Solid
    Face/Solid
    Solid/Solid
    interferences.
    
     II.3 class BOPAlgo_PaveFiller
    protected method:
    void BOPAlgo_PaveFiller::PerformFF()
    Empty interferences has not been added in the interferences' table
    
     II.4. class BOPAlgo_CheckerSI
    protected methods:
    void BOPAlgo_CheckerSI::PerformVZ()
    void BOPAlgo_CheckerSI:PerformEZ()
    void BOPAlgo_CheckerSI::PerformFZ()
    void BOPAlgo_CheckerSI::PerformZZ()
    has been removed.
    
     II.5. class BOPAlgo_BOP
    protected method:
    void BOPAlgo_BOP::BuildRC()
    void BOPAlgo_BOP::BuildSolid()
    changed to treat non-interferred solids and keep it in the result as they were
    
    III. Modified entities:
    packages:
    BOPAlgo
    BOPDS

(0031755)
pkv (developer)
2014-09-16 14:24

The Branch CR25242 is ready to be reviewed.
(0031756)
git (administrator)
2014-09-16 14:43

Branch CR25242 has been updated forcibly by pkv.

SHA-1: 1a8e00877be50289b6cec90005207078d859889c
(0031757)
emv (developer)
2014-09-16 14:46

Reviewed, please test.
(0031904)
git (administrator)
2014-09-19 15:48

Branch CR25242 has been updated forcibly by apv.

SHA-1: b92bae1d7763a90577c1774c44f68a759f2741d6
(0031941)
git (administrator)
2014-09-22 14:25

Branch CR25242 has been updated by apv.

SHA-1: 883468935165fa3c0ae207ffe004c6996e5fc649


Detailed log of new commits:

Author: apv
Date: Mon Sep 22 14:24:41 2014 +0400

    Test case for issue 0025242

(0031942)
apv (tester)
2014-09-22 15:18

Dear BugMaster,

Branch CR25242 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 883468935165fa3c0ae207ffe004c6996e5fc649

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 193 (193 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs modalg_5(010) bug25242 - OK
http://occt-tests/CR25242-master-occt/Debian60-64/bugs/modalg_5/bug25242.html [^]
http://occt-tests/CR25242-master-occt/Windows-32-VC10/bugs/modalg_5/bug25242.html [^]

Testing on Linux:
Total MEMORY difference: 355925324 / 355467380
Total CPU difference: 46532.18000000008 / 44818.84000000009

Testing on Windows:
Total MEMORY difference: 243247036 / 242145384
Total CPU difference: 40061.234375 / 34260.015625
(0032435)
git (administrator)
2014-09-30 11:37

Branch CR25242 has been deleted by inv.

SHA-1: 883468935165fa3c0ae207ffe004c6996e5fc649

- Related Changesets
occt: master 955b3e71
Timestamp: 2014-09-25 09:30:35
Author: pkv
Committer: bugmaster
Details ] Diff ]
0025242: Wrong result of cut operation.

1. class BOPDS_Iterator
method:
void BOPDS_Iterator::Intersect()
The ttreatment of solid/* interferences has been added.

2 class BOPAlgo_PaveFiller
protected methods:
void BOPAlgo_PaveFiller::PerformVZ()
void BOPAlgo_PaveFiller::PerformEZ()
void BOPAlgo_PaveFiller::PerformFZ()
void BOPAlgo_PaveFiller::PerformZZ()
has been added.
The methods are to Compute
Vertex/Solid
Edge/Solid
Face/Solid
Solid/Solid
interferences.

3. class BOPAlgo_PaveFiller
protected method:
void BOPAlgo_PaveFiller::PerformFF()
Empty interferences has not been added in the interferences' table

4. class BOPAlgo_CheckerSI
protected methods:
void BOPAlgo_CheckerSI::PerformVZ()
void BOPAlgo_CheckerSI:PerformEZ()
void BOPAlgo_CheckerSI::PerformFZ()
void BOPAlgo_CheckerSI::PerformZZ()
has been removed.

5. class BOPAlgo_BOP
protected method:
void BOPAlgo_BOP::BuildRC()
void BOPAlgo_BOP::BuildSolid()
changed to treat non-interferred solids and keep it in the result as they were

Test case for issue 0025242
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/FILES Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25242 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-16 13:52 pkv New Issue
2014-09-16 13:52 pkv Assigned To => pkv
2014-09-16 13:53 pkv Status new => assigned
2014-09-16 14:02 git Note Added: 0031750
2014-09-16 14:23 git Note Added: 0031754
2014-09-16 14:24 pkv Note Added: 0031755
2014-09-16 14:24 pkv Status assigned => resolved
2014-09-16 14:24 pkv Assigned To pkv => emv
2014-09-16 14:43 git Note Added: 0031756
2014-09-16 14:46 emv Note Added: 0031757
2014-09-16 14:46 emv Assigned To emv => mkv
2014-09-16 14:46 emv Status resolved => reviewed
2014-09-19 14:41 mkv Assigned To mkv => apv
2014-09-19 15:48 git Note Added: 0031904
2014-09-22 14:25 git Note Added: 0031941
2014-09-22 14:40 apv Test case number => bugs modalg_5(010) bug25242
2014-09-22 15:18 apv Note Added: 0031942
2014-09-22 15:19 apv Assigned To apv => bugmaster
2014-09-22 15:19 apv Status reviewed => tested
2014-09-26 14:49 bugmaster Changeset attached => occt master 955b3e71
2014-09-26 14:49 bugmaster Status tested => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-30 11:37 git Note Added: 0032435
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker